Deskhero Developer Hub
Back to deskhero.com
Tenants

List

Returns the tenants the signed in user belongs to, each with its user count.

GET /api/sys/v{version:apiVersion}/tenants
Authorisation
Minimum role: USER

Request arguments

Name Type Source
Request body example
No input arguments

Response

Status
200 (OK)
Type
DTO_tenant[]
Wrapper
DTO_response_wrap
Other statuses
400 (BadRequest), 403 (Forbidden)
Response body example
DTO_tenant
NameTypeReadOnlyDescription
languageDTO_translation_languageLanguage
mailboxesDTO_reference_mailbox[]Mailboxes
idInt32ReadOnlyId
friendly_nameStringFriendly name
unique_nameStringUnique name
fqdnStringReadOnlyFqdn
createdDateTimeCreated
user_countInt32ReadOnlyUser count
logoStringReadOnlyLogo
planENUM tenant_planReadOnlyPlan
expired_trialBooleanReadOnlyExpired trial
time_zoneStringTime zone
DTO_translation_language
NameTypeReadOnlyDescription
idInt32ReadOnlyLeave empty on input
nameStringName
codeStringCode
iconStringReadOnlyIcon
icon_sqareStringReadOnlyIcon sqare
DTO_reference_mailbox
NameTypeReadOnlyDescription
typeENUM mailbox_typeReadOnlyType
statusENUM mailbox_statusReadOnlyStatus
idInt32Id
labelObjectReadOnlyLabel
ENUM mailbox_type
ValueNameDescription
0UNKNOWNUNKNOWN
1PLATFORM_PROVIDEDBuilt in @tenant.deskhero.com
2DNSDNS setup / Custom Email domain
3MICROSOFTAuth2 Microsoft365 provided
4GOOGLEAuth2 Google provided
ENUM mailbox_status
ValueNameDescription
0UNKNOWNUNKNOWN
1ACTIVEACTIVE
2ACTIVATION_IN_PROGRESSACTIVATION_IN_PROGRESS
101REQUIRE_REAUTHREQUIRE_REAUTH
102REQUIRE_FORWARDREQUIRE_FORWARD
ENUM tenant_plan
ValueNameDescription
0UNKNOWNUNKNOWN
1FREEFREE
2SMALLSMALL
3MEDIUMMEDIUM
4LARGELARGE

Generated Aug 4, 2026 18:37